Categories:
  - Internet
License: Apache-2.0
WebSite: https://github.com/ubergeek42/weechat-android/wiki
SourceCode: https://github.com/ubergeek42/weechat-android
IssueTracker: https://github.com/ubergeek42/weechat-android/issues
Changelog: https://github.com/ubergeek42/weechat-android/raw/HEAD/Readme.md

AutoName: Weechat-Android

RepoType: git
Repo: https://github.com/ubergeek42/weechat-android.git

Builds:
  - versionName: 0.8-dev-b4
    versionCode: 4
    commit: v0.08-dev-b4
    subdir: weechat-android
    srclibs:
      - ActionBarSherlock@4.1.0
      - ViewPagerIndicator@2.4.1
    extlibs:
      - sl4j/slf4j-android-1.6.1-RC1.jar
      - acra/acra-4.4.0.jar
    prebuild:
      - sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(android.library.reference.2=\).*@\1$$ViewPagerIndicator$$@' project.properties
      - mvn clean package -f ../weechat-relay/pom.xml
      - mkdir -p libs/
      - mv ../weechat-relay/target/weechat-relay-0.8-SNAPSHOT.jar libs/

  - versionName: 0.8-dev-b5
    versionCode: 5
    commit: b484867803
    subdir: weechat-android
    srclibs:
      - ActionBarSherlock@4.1.0
      - ViewPagerIndicator@2.4.1
    extlibs:
      - sl4j/slf4j-android-1.6.1-RC1.jar
      - acra/acra-4.4.0.jar
    prebuild:
      - sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(android.library.reference.2=\).*@\1$$ViewPagerIndicator$$@' project.properties
      - mvn clean package -f ../weechat-relay/pom.xml
      - mkdir -p libs/
      - mv ../weechat-relay/target/weechat-relay-0.8-SNAPSHOT.jar libs/

  - versionName: 0.9-rc1
    versionCode: 12
    commit: v0.9-rc1
    subdir: weechat-android
    gradle:
      - yes
    forceversion: true

  - versionName: '0.10'
    versionCode: 14
    commit: v0.10
    subdir: weechat-android
    gradle:
      - yes
    prebuild: sed -i '/gradleVersion/d' ../build.gradle

  - versionName: '0.11'
    versionCode: 435
    commit: v0.11
    subdir: weechat-android
    gradle:
      - yes
    prebuild:
      - sed -i '/gradleVersion/d' ../build.gradle
      - sed -i -e '/Goddchen/d' build.gradle ../build.gradle

  - versionName: 0.12-git
    versionCode: 436
    commit: 94269873d4a3ae2b95da1dc06cf360751260b278
    subdir: weechat-android
    gradle:
      - yes
    forceversion: true
    forcevercode: true
    prebuild:
      - sed -i '/gradleVersion/d' ../build.gradle
      - sed -i -e '/Goddchen/d' build.gradle ../build.gradle

  - versionName: '0.13'
    versionCode: 437
    commit: v0.13
    subdir: app
    gradle:
      - yes

  - versionName: '0.14'
    versionCode: 613
    commit: v0.14
    subdir: app
    gradle:
      - yes

  - versionName: 0.14.1
    versionCode: 617
    commit: v0.14.1
    subdir: app
    gradle:
      - yes

  - versionName: '1.0'
    versionCode: 1000
    commit: v1.0
    subdir: app
    gradle:
      - yes

  - versionName: '1.1'
    versionCode: 1100
    commit: v1.1
    subdir: app
    gradle:
      - yes

  - versionName: '1.2'
    versionCode: 1200
    commit: v1.2
    subdir: app
    gradle:
      - yes

  - versionName: '1.3'
    versionCode: 1300
    commit: v1.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.1
    versionCode: 10301
    commit: v1.3.1
    subdir: app
    gradle:
      - yes

  - versionName: '1.4'
    versionCode: 10400
    commit: v1.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.1
    versionCode: 10401
    commit: v1.4.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.2
    versionCode: 10402
    commit: v1.4.2
    subdir: app
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.4.2
CurrentVersionCode: 10402
